package polling_station_dashboard;

import javafx.event.Event;
import javafx.event.EventHandler;
import javafx.scene.Parent;
import java.util.HashMap;

// TODO: add logging to the process

/**
 * Created by Vladimir Eliezer Tokarev on 12/06/2016.
 * EventHandlerMap maps events ids (that are part of polling station dashboard)
 * to the object that handles this specific event
 * when EventHandlerMap gets specific event it activates the handle method of the object
 */
public class EventHandlerMap {

    private HashMap<String, EventHandler<Event>> eventIdToHandler;

    public EventHandlerMap()
    {
        this.eventIdToHandler = new HashMap<>();
    }

    public void Add(String eventId, EventHandler<Event> eventHandler)
    {
        this.eventIdToHandler.put(eventId, eventHandler);
    }

    public void Handle(Event event)
    {
        try {
            this.eventIdToHandler.get(((Parent) event.getSource()).getId()).handle(event);
        }
        catch (RuntimeException e) {
            System.out.println("The event map doesn't have this kind of event handler : " + e);
            // add logs ...
        }
    }
}
