package polling_station_dashboard.search.advancedSearch;

import javafx.event.Event;
import javafx.event.EventHandler;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

/**
 * Created by dasha on 7/9/2016.
 * AdvancedSearchHandler handles the event that being passed from  the polling station dashboard
 */
public class AdvancedSearchHandler implements EventHandler {

    private GridPane advancedSearch;
    private Stage currentStage;

    public AdvancedSearchHandler(GridPane advancedSearch, Stage primalStage)
    {
        this.advancedSearch = advancedSearch;
        this.currentStage = primalStage;
    }

    private void UpdateAdvancedSearch() {
        RemoveRegularSearch();
        AddAdvancedSearch();
    }

    private void AddAdvancedSearch() {
        Pane searchContainer = (Pane) currentStage.getScene().lookup("#SearchContainer");
        searchContainer.getChildren().add(advancedSearch);
    }

    private void RemoveRegularSearch() {
        // the only element that is in this container is the regular search
        Pane searchContainer = (Pane) currentStage.getScene().lookup("#SearchContainer");
        searchContainer.getChildren().remove(0);
    }

    @Override
    public void handle(Event event) {
        UpdateAdvancedSearch();
    }
}
