package polling_station_dashboard.search.advancedSearch;

import javafx.fxml.FXMLLoader;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;
import polling_station_dashboard.settings.settingsController;

import java.io.IOException;

/**
 * Created by dasha on 7/9/2016.
 * AdvancedSearchLoader loads the advanced search panel
 */
public class AdvancedSearchLoader {
    private static final String ADVANCED_SEARCH_FXML_PATH = "/view/dashboard/advanced_search.fxml";

    private Stage currentStage;
    private FXMLLoader fxmlLoader;

    public AdvancedSearchLoader(Stage primaryStage) throws IOException
    {
        currentStage = primaryStage;
        fxmlLoader = new FXMLLoader(getClass().getResource(ADVANCED_SEARCH_FXML_PATH));
    }

    public GridPane GetSettingsInstance() throws IOException {
        GridPane settings = fxmlLoader.load();
        AdvancedSearchController controller = fxmlLoader.getController();
        Pane searchContainer = (Pane) currentStage.getScene().lookup("#SearchContainer");
        BorderPane regularSearch = (BorderPane) searchContainer.getChildren().get(0);

        controller.SetRegularSearch(regularSearch);
        controller.SetStage(currentStage);

        return settings;
    }
}
