package polling_station_dashboard.search.submitVoter;

import javafx.fxml.FXML;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;
import polling_station_dashboard.search.submitVoter.lodgeAppeal.LodgeAppealVisualUpdater;

/**
 * Created by Vladimir Eliezer Tokarev on 18/06/2016.
 * SubmitVoterController controls the behavior of the submit panel which gives the ability
 * to change the ability of vote to a voter
 */
public class SubmitVoterController {
    private Stage currentStage;
    private LodgeAppealVisualUpdater lodgeAppealVisualUpdater;

    public void SetStage(Stage primaryStage)
    {
        this.currentStage = primaryStage;
    }

    public void SetLodgeAppeal(GridPane lodgeAppeal){
        this.lodgeAppealVisualUpdater = new LodgeAppealVisualUpdater(lodgeAppeal, currentStage);
    }

    @FXML
    private void AddLodgeAppeal(){
        this.lodgeAppealVisualUpdater.UpdateLodgeAppeal();
    }

    @FXML
    private void RemoveSubmitVoterPanel()
    {
        // when this button pressed (the cancel button) only the add voter panel is in list of children of AddEditPane
        // this why removing the element at index 0 will remove this panel
        ((Pane)this.currentStage.getScene().lookup("#AddEditPane")).getChildren().remove(0);
    }
}
