package polling_station_dashboard.search.submitVoter.lodgeAppeal;

import javafx.scene.layout.GridPane;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

/**
 * Created by dasha on 7/2/2016.
 * LodgeAppealVisualUpdater is in response of add and remove the lodge appeal panel
 * to  polling station dashboard
 */
public class LodgeAppealVisualUpdater {

    private Stage currentStage;
    private GridPane lodgeAppeal;
    private boolean lodgeAppealOpened = false;

    public LodgeAppealVisualUpdater(GridPane lodgeAppeal, Stage primalStage)
    {
        this.lodgeAppeal = lodgeAppeal;
        this.currentStage = primalStage;
    }

    public void UpdateLodgeAppeal() {
        if (!lodgeAppealOpened) {
            ClearAddEditPanel();
            AddLodgeAppeal();
        }
        else {
            ClearAddEditPanel();
        }
        lodgeAppealOpened = !lodgeAppealOpened;
    }

    private void ClearAddEditPanel(){
        Pane addEditPane = (Pane) currentStage.getScene().lookup("#AddEditPane");
        // the add edit pane have only one child at a time which mean removing the child in index 0 will
        // clean the add edit pane
        addEditPane.getChildren().remove(0);
    }

    private void AddLodgeAppeal() {
        Pane addEditPane = (Pane)currentStage.getScene().lookup("#AddEditPane");
        addEditPane.getChildren().add(lodgeAppeal);
    }
}
